@echo off
if not %1 .==.  goto chkparm2
echo *****************************************
echo * No Destination Directory is specified *
echo *****************************************
goto noparm

:noparm2
echo ************************************
echo *No Application Directory specified*
echo ************************************

:noparm
echo Usage: install dst drv  (drv must be in lower case)
echo        example:  install c:\avga2 acad386
echo          dst = full pathname of destination directory
echo          drv = 'all' expand the whole drivers/utilities disk
rem echo ( see ax3s251d.zip )       'root' expand the root directory

rem                        ****** N O T E ******   
rem      =========================================================
rem      =  Following drivers are not available for BBS version, =
rem      =  please request them to Epson if necessary.           =
rem      =========================================================
rem echo                'wp' expand WORDPERFECT directory
rem echo                'lotus2x' expand LOTUS2X directory
rem echo                'lotus30' expand LOTUS30 directory
rem echo                'wordstar' expand WORDSTAR directory
rem echo                'word50' expand WORD50 directory
rem echo                'gemvp' expand GEMVP directory
rem echo                'pcad' expand PCAD directory
rem echo                'windows' expand WINDOWS directory
rem echo                'os2' expand OS2 directory

rem echo  ( see ax3s251d.zip )    'utility' expand UTILITY directory
rem echo  ( see ax3s251d.zip )    'misc' expand MISC directory
echo                   'acad386' expand ACAD386 directory
echo                   'acaddld' expand ACADDLD directory
goto stop

:chkparm2
if %2 .==. goto noparm2
if %2 == all goto start
if %2 == root goto start
if %2 == wp goto start
if %2 == lotus2x goto start
if %2 == lotus30 goto start
if %2 == wordstar goto start
if %2 == word50 goto start
if %2 == utility goto start
if %2 == misc goto start
if %2 == gemvp goto start
if %2 == pcad goto start
if %2 == windows goto start
if %2 == os2 goto start
if %2 == acad386 goto start
if %2 == acaddld goto start
goto noparm

:start
md %1

if %2 == all goto rootdir
if %2 == root goto rootdir
goto dir1
:rootdir
echo ***************************
echo *Installing Root Directory*
echo ***************************
lzhuf d AVGAFW32._SC %1\avgafw32.sc
lzhuf d AVGAFW33._SC %1\avgafw33.sc
lzhuf d AVGAFW34._SC %1\avgafw34.sc
lzhuf d AVGAFW31._SC %1\avgafw31.sc
lzhuf d AVGAFW35._SC %1\avgafw35.sc
rem lzhuf d AVGAFW24._SC %1\avgafw24.sc
rem lzhuf d AVGAFW21._SC %1\avgafw21.sc
rem lzhuf d AVGAFW22._SC %1\avgafw22.sc
rem lzhuf d AVGAFW23._SC %1\avgafw23.sc
rem lzhuf d AVGAFW25._SC %1\avgafw25.sc
lzhuf d UPDATE._DR %1\update.drv
echo *************************************************************
echo * Copying the following files to the destination directory: *
echo *************************************************************
copy readme %1
echo README
copy fwreadme %1
echo FWREADME
copy avgaread.txt %1
echo AVGAREAD.TXT
copy avgainst.txt %1
echo AVGAINST.TXT
copy fcc.txt %1
echo FCC.TXT
copy avgautil.exe %1
echo AVGAUTIL.EXE


:dir1
if %2 == all goto wpdir
if %2 == wp goto wpdir
goto dir2
:wpdir
echo *************************
echo *Installing WP Directory*
echo *************************
md %1\wp
lzhuf d wp\A28X6GR._WP %1\wp\a28x6gr.wpd
lzhuf d wp\A2132TXT._VR %1\wp\a2132txt.vrs
lzhuf d wp\WP50COPY._BA %1\wp\wp50copy.bat
lzhuf d wp\A28X6GR._VR %1\wp\a28x6gr.vrs
lzhuf d wp\A21024GR._VR %1\wp\a21024gr.vrs
lzhuf d wp\WP51COPY._BA %1\wp\wp51copy.bat
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy wp\readme %1\wp

:dir2
if %2 == all goto l2xdir
if %2 == lotus2x goto l2xdir
goto dir3
:l2xdir
echo ******************************
echo *Installing Lotus2x Directory*
echo ******************************
md %1\lotus2x
lzhuf d lotus2x\avgagr._dr %1\lotus2x\avgagr.drv
lzhuf d lotus2x\tc132x25._dr %1\lotus2x\tc132x25.drv
lzhuf d lotus2x\tc132x43._dr %1\lotus2x\tc132x43.drv
lzhuf d lotus2x\tm132x25._dr %1\lotus2x\tm132x25.drv
lzhuf d lotus2x\tm132x43._dr %1\lotus2x\tm132x43.drv
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy lotus2x\readme %1\lotus2x

:dir3
if %2 == all goto l30dir
if %2 == lotus30 goto l30dir
goto dir4
:l30dir
echo ******************************
echo *Installing Lotus30 Directory*
echo ******************************
md %1\lotus30
lzhuf d lotus30\vgas40cc._vb %1\lotus30\vgas40cc.vbd
lzhuf d lotus30\vgas31cc._vb %1\lotus30\vgas31cc.vbd
lzhuf d lotus30\vgas42cc._vb %1\lotus30\vgas42cc.vbd
lzhuf d lotus30\install._dd %1\lotus30\install.ddf
lzhuf d lotus30\l13avga1._dl %1\lotus30\l13avga1.dld
lzhuf d lotus30\vgas75cc._vb %1\lotus30\vgas75cc.vbd
lzhuf d lotus30\vgas54cc._vb %1\lotus30\vgas54cc.vbd
lzhuf d lotus30\vgas96cc._vb %1\lotus30\vgas96cc.vbd
lzhuf d lotus30\l13avga2._dl %1\lotus30\l13avga2.dld
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy lotus30\readme %1\lotus30

:dir4
if %2 == all goto wsdir
if %2 == wordstar goto wsdir
goto dir5
:wsdir
echo *******************************
echo *Installing Wordstar Directory*
echo *******************************
md %1\wordstar
lzhuf d wordstar\25._ %1\wordstar\25
lzhuf d wordstar\43._ %1\wordstar\43
lzhuf d wordstar\make._ba %1\wordstar\make.bat
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy wordstar\readme %1\wordstar

:dir5
if %2 == all goto worddir
if %2 == word50 goto worddir
goto dir6
:worddir
echo *****************************
echo *Installing Word50 Directory*
echo *****************************
md %1\word50
lzhuf d word50\screen._vi %1\word50\screen.vid
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy word50\readme %1\word50

:dir6
if %2 == all goto utildir
if %2 == utility goto utildir
goto dir7
:utildir
echo ******************************
echo *Installing Utility Directory*
echo ******************************
md %1\utility
lzhuf d utility\rambios._ex %1\utility\rambios.exe
lzhuf d utility\setmode._ex %1\utility\setmode.exe
lzhuf d utility\avga2cfg._co %1\utility\avga2cfg.com
lzhuf d utility\acu._ex %1\utility\acu.exe
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy utility\readme %1\utility

:dir7
if %2 == all goto miscdir
if %2 == misc goto miscdir
goto dir8
:miscdir
echo ***************************
echo *Installing Misc Directory*
echo ***************************
md %1\misc
lzhuf d misc\rixvideo._ds %1\misc\rixvideo.dsc
lzhuf d misc\vpic._cf %1\misc\vpic.cfg
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy misc\readme %1\misc

:dir8
if %2 == all goto gemvpdir
if %2 == gemvp goto gemvpdir
goto dir9
:gemvpdir
echo ****************************
echo *Installing GemVP Directory*
echo ****************************
md %1\gemvp
lzhuf d gemvp\sda8600._vg %1\gemvp\sda8600.vga
lzhuf d gemvp\sda1024._vg %1\gemvp\sda1024.vga
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy gemvp\readme %1\gemvp

:dir9
if %2 == all goto pcaddir
if %2 == pcad goto pcaddir
goto dir10
:pcaddir
echo ***************************
echo *Installing PCad Directory*
echo ***************************
md %1\pcad
lzhuf d pcad\d1024._dr %1\pcad\d1024.drv
lzhuf d pcad\d800._dr %1\pcad\d800.drv
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy pcad\readme %1\pcad

:dir10
if %2 == all goto windir
if %2 == windows goto windir
goto dir11   
:windir
echo ******************************
echo *Installing Windows Directory*
echo ******************************
md %1\windows
lzhuf d windows\avga._gr %1\windows\avga.gr3
lzhuf d windows\avga816._dr %1\windows\avga816.drv
lzhuf d windows\avga816._gr %1\windows\avga816.gr2
lzhuf d windows\vddavga2._38 %1\windows\vddavga2.386
lzhuf d windows\vga._gr %1\windows\vga.gr3
lzhuf d windows\avga1024._dr %1\windows\avga1024.drv
lzhuf d windows\oemsetup._in %1\windows\oemsetup.inf
lzhuf d windows\avga6256._dr %1\windows\avga6256.drv
lzhuf d windows\avga8256._dr %1\windows\avga8256.drv
lzhuf d windows\dib._dr %1\windows\dib.drv
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy windows\readme %1\windows

:dir11
if %2 == all goto os2dir
if %2 == os2 goto os2dir
goto dir12
:os2dir
echo ***************************
echo *Installing OS/2 Directory*
echo ***************************
md %1\os2
lzhuf d os2\avga28x6._dl %1\os2\avga28x6.dll
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy os2\readme %1\os2

:dir12
if %2 == all goto a386dir
if %2 == acad386 goto a386dir
goto dir13
:a386dir
echo ******************************
echo *Installing ACAD386 Directory*
echo ******************************
md %1\acad386
lzhuf d acad386\install._ba %1\acad386\install.bat
lzhuf d acad386\dldvga._ex %1\acad386\dldvga.exp
lzhuf d acad386\dldvg256._ex %1\acad386\dldvg256.exp
lzhuf d acad386\dldsetup._ex %1\acad386\dldsetup.exe
lzhuf d acad386\dldsetup._hl %1\acad386\dldsetup.hlp
lzhuf d acad386\color16._ex %1\acad386\color16.exe
lzhuf d acad386\color256._ex %1\acad386\color256.exe
lzhuf d acad386\dldcolor._hl %1\acad386\dldcolor.hlp
lzhuf d acad386\dld386._tx %1\acad386\dld386.txt
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy acad386\readme %1\acad386

:dir13
if %2 == all goto adlddir
if %2 == acaddld goto adlddir
goto stop
:adlddir
echo ******************************
echo *Installing ACADDLD Directory*
echo ******************************
md %1\acaddld
lzhuf d acaddld\install._ba %1\acaddld\install.bat
lzhuf d acaddld\dldvga._ex %1\acaddld\dldvga.exe
lzhuf d acaddld\dldvg256._ex %1\acaddld\dldvg256.exe
lzhuf d acaddld\dldsetup._ex %1\acaddld\dldsetup.exe
lzhuf d acaddld\dldsetup._hl %1\acaddld\dldsetup.hlp
lzhuf d acaddld\color16._ex %1\acaddld\color16.exe
lzhuf d acaddld\color256._ex %1\acaddld\color256.exe
lzhuf d acaddld\dldcolor._hl %1\acaddld\dldcolor.hlp
lzhuf d acaddld\dldvga._tx %1\acaddld\dldvga.txt
echo *********************************************************
echo * Copying the README file to the destination directory: *
echo *********************************************************
copy acaddld\readme %1\acaddld

:stop
